import areas from '@/utils/provinceData/areas.json'
import cities from '@/utils/provinceData/cities.json'
import provinces from '@/utils/provinceData/provinces.json'

// 将原始数据转换为带有 children 属性的类型
const typedCities = cities.map((city) => ({...city, children: []}));
const typedProvinces = provinces.map((province) => ({
    ...province,
    children: []
}));
const typedAreas = areas.map((area) => ({...area}));

typedAreas.forEach((area) => {
    const matchCity = typedCities.find((city) => city.code === area.cityCode);
    if (matchCity) {
        matchCity.children && matchCity.children.push({
            label: area.name,
            value: area.code
        });
    }
});

typedCities.forEach((city) => {
    const matchProvince = typedProvinces.find(
        (province) => province.code === city.provinceCode
    );
    if (matchProvince) {
        matchProvince.children && matchProvince.children.push({
            label: city.name,
            value: city.code,
            children: city.children
        });
    }
});

export const cityList = typedProvinces.map((province) => ({
    label: province.name,
    value: province.code,
    children: province.children
}));
